> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update translations

> Updates existing translations.

**Required scopes:** `languages_write`


## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/update_translations
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/update_translations:
    post:
      tags:
        - Translations
      summary: Update translations
      description: Updates existing translations.
      operationId: update-translations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTranslationsRequest'
            example:
              group_id: 0
              language: en
              phrases:
                Welcome_title: Welcome to chat!
      responses:
        '200':
          description: Translations updated successfully.
components:
  schemas:
    UpdateTranslationsRequest:
      type: object
      required:
        - group_id
        - language
        - phrases
      properties:
        group_id:
          type: integer
          description: The ID of the group.
        language:
          type: string
          description: The language identifier (e.g. `en`).
        phrases:
          type: object
          additionalProperties:
            type: string
          description: |-
            Phrases to update as key-value pairs. Possible keys:
            - `Welcome_title` — welcome message.
            - `Agents_not_available_continuous` — contact card message.
            - `User_in_queue` — queued customer info.
            - `Client` — default customer name.
            - `Embedded_textarea_placeholder` — message placeholder.
            - `Offline_message_sent` — ticket confirmation message.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````